#ifndef _INSTANT_HPP_
#define _INSTANT_HPP_
#include <wx/datetime.h>

class wxEpheFrameOL;

#define	TUSING	-100.0
#define KH2D	15.0		// hour --> degree Angle Conversion


class	Instant
{
	#define	NOZONE	50000L

	double	hDeci(const wxDateTime::Tm &) const;
	double	dj2t(void);
	double	Sidereal(double);

	public:
		wxDateTime	dtlocal;					// Local Date and Time
		wxDateTime::TimeZone	tz, tzoffset;	// time zone and time zone offset, to deal with strange - buggy - wxDateTime time zone management

		double	juliandate;	// Julian Date (with UT)
		double	t;	 		// Julian Days since 31/12/1899 at 12h

		double	tu;			// Universal Time
		double	tsg0;		// Sidereal Time at Greenwich at 0h UT
		double	tsg;   		// Sidereal Time at Greenwich
		double	ts;			// Sidereal Time at current location


		double	Init(double);
		double	tu2t(const Instant &, bool, double);
		bool	IsValid(void);
		double	Julian(const wxDateTime &, double * =NULL);
		double	RevJulian(wxDateTime &, double);
//		void	HourDiff(bool, double);

		void	Display(wxEpheFrameOL *) const;
};

#endif	// _INSTANT_HPP_
